/*-----------------------------------------------------------------------

File  : che_heu_fifo.c

Author: Stephan Schulz

Contents
 
  Functions describing the FIFO heuristic (may be used to hack
  rewriting...)

Changes

<1> Tue Jun  9 01:51:42 MET DST 1998
    New

-----------------------------------------------------------------------*/

#include "che_heu_fifo.h"



/*---------------------------------------------------------------------*/
/*                        Global Variables                             */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                      Forward Declarations                           */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                         Internal Functions                          */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                         Exported Functions                          */
/*---------------------------------------------------------------------*/


/*-----------------------------------------------------------------------
//
// Function: HCBFIFOCreate()
//
//   Create a HCB entry for the FIFO heuristic.
//
// Global Variables: -
//
// Side Effects    : Memory operations
//
/----------------------------------------------------------------------*/

HCB_p HCBFIFOCreate(HCBARGUMENTS)
{
   HCB_p         hcb     = HCBAlloc();

   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "fifo_f") , 1);
	      
   return hcb;
}


/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/


